1 Reply Latest reply on Oct 4, 2010 3:33 PM by NateNorr

    SecurityError when trying to use sockets in a PHOTOSHOP plugin

    NateNorr

      OK, firstly I would like to state that I have no idea where to post this as it's to do with programming a plugin for photoshop in flex.

       

      So I've added the following:

      Security.loadPolicyFile('http://debian/crossdomain.xml');

       

      crossdomain.xml contains:

       

      <?xml version="1.0"?>
      <!DOCTYPE cross-domain-policy SYSTEM "http://www.macromedia.com/xml/dtds/cross-domain-policy.dtd">
      <cross-domain-policy>
           <allow-access-from domain="*" to-ports="*"  />
      </cross-domain-policy>
      

       

      All works great when testing the plugin from a browser (apart from it being useless!), even I have checked the apache log to see if the file has been accessed and yes it has; however, when running from within Photoshop, it appears it doesn't even try to grab the crossdomain.xml file and just results in a Security Error.

       

       

      Any ideas how to rectify this problem?? I've looked everywhere on the net and can't find anything, as for most things regarding plugins and photoshop!